#include "canimal.h"
#include <cstring>

double CCat::GetFoodCaloriesPerDay()     const {return weight*84000;}
double CDog::GetFoodCaloriesPerDay()     const {return weight*70000;}
double CHorse::GetFoodCaloriesPerDay()   const {return weight*50000;}
const char* CCat::whoiam() const {return "Cat";}
const char* CDog::whoiam() const {return "Dog";}
const char* CHorse::whoiam() const {return "Horse";}
const char* Cumww::whoiam() const {return "umww...";}

char* CAnimal::GetName() {return name;}
CAnimal::CAnimal(const char* animalName, float animalWeight) : weight(animalWeight) {
    char length = strlen(animalName);
    name = new char[length+1];
    for (char a=0;a<length;a++)name[a]=animalName[a];name[length]=0;
}
CAnimal::~CAnimal() {delete[] name;}
unsigned long sum(CAnimal** po,char n){
    unsigned long sum=0;
    for (char a;a<n;a++)sum+=po[a]->GetFoodCaloriesPerDay();
    return sum*30;
}
